Subject: Re: [PATCH v5 0/8] add more ref consistency checks

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 25 Feb 2025 09:27:07 +0100

On Mon, Feb 17, 2025 at 11:25:25PM +0800, shejialuo wrote:
> Hi All:
> 
> This changes enhances the following things:
> 
> 1. [PATCH v5 2/8]: enhance the comment suggested by Karthik.
> 2. [PATCH v5 3/8]: use lstat to check whether the filetype of
>    "packed-ref" is a regular file instead of using `open_nofollow`
>    to check. And also enhance the commit message suggested by Karthik.
> 3. [PATCH v5 4/8]: move "open_nofollow" in original [PATCH v4 3/8] to
>    this.
> 
> Also, I rebase due to the conflict that all *.txt files have been
> renamed to *.adoc. However, I don't know whether this is a real
> conflict. But I decide to rebase to make the life of Junio easy.

I've got a couple of small nits, but overall I think this series should
be almost ready. Thanks!

Patrick